commit:     b907b184d9fc1c372447165588a263e65f04bc9b
Author:     Mike Frysinger <vapier <AT> chromium <DOT> org>
AuthorDate: Wed May 23 10:30:10 2018 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Wed May 23 10:30:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b907b184

dev-python/google-auth: version bump to 1.4.1

 dev-python/google-auth/Manifest                 |  1 +
 dev-python/google-auth/google-auth-1.4.1.ebuild | 44 +++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 8357b3b1697..fc5e005d7e9 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,2 +1,3 @@
 DIST google-auth-1.0.1.tar.gz 133903 BLAKE2B 
0a99dcdb37a195f24077162ea8191e2eb12aac0eec8e08d06f0b17aba9c4f5ed44f19ca41c737a249611ce02b98e03474d1e995909c5755222605e004d11fb1d
 SHA512 
c10822c6b75700503a06a4b3a43a123d57605a043eb494bcb0232cc3941fc039d0803ed75be26d0da72fd4df613135c290fb3fdf82b0fa47d4fe0729462d80f4
 DIST google-auth-1.1.0.tar.gz 290602 BLAKE2B 
efc1ae38b29693f035ea9d19af83bd0e098dacb143192d77140ea1548a17dd051b344b6b34044f6d02e5bea631fe4026dda4ba7c1053535641f34aed08cdd48e
 SHA512 
03b4021f5bc3c60671e1e528642af4682828e3a83a07aa9dea8a28b3f97c4020ac47f325c8a952f366d45196e6a9a78a78e1abcfc8d7f878f7b6369434a0b79f
+DIST google-auth-1.4.1.tar.gz 74272 BLAKE2B 
8b9c8f59979688bc8a28d3f6c32eb06aa527b3cf9a515ceca51aa346d70622786292f5be5a4bdb2ca266b777d5d5fd41061af3afd4a2608a6673192ad643ed8f
 SHA512 
cba174049a331c8c0ea5b82da0096641d975f59f1f2c3237c32b1730b4c9f9d12f3bfdcb6cc9b9f9c87109d509dcd423d0a4a4d98200e707052760c253f3ee45

diff --git a/dev-python/google-auth/google-auth-1.4.1.ebuild 
b/dev-python/google-auth/google-auth-1.4.1.ebuild
new file mode 100644
index 00000000000..6ae35798ebd
--- /dev/null
+++ b/dev-python/google-auth/google-auth-1.4.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/google-auth-library-python 
https://pypi.org/project/google-auth/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+       >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/flask[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-localserver[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       # delete stray files included in the tarball
+       find "${S}"/tests -name '*.pyc' -delete || die
+       py.test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}

Reply via email to